China factories

Wooden Pleated Origami Paper Lamp Round 700mah OEM

Price: 8.8$ Get Latest Price
  • Brand Name: ZHENGMING
  • Model Number: XZ-08
  • Minimum Order Quantity: 60
  • Delivery Time: 15 work days
  • view more

LED Bird Design Wall Lamp Bedside Lamp Creative Origami Paper Crane Wall Light(WH-OR-18)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-OR-18
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Double Sides Colorful Craft Paper , High Stiffness Origami Paper Sheet 80g 180g

Price: Negotiate Get Latest Price
  • Brand Name: BM PAPER
  • Model Number: BM 516
  • Minimum Order Quantity: Negotiate
  • Delivery Time: 5-20 working days
  • view more

220gsm Virgin Pulp Various Color Origami Paper For Offset Printing

Price: Negotiable Get Latest Price
  • Brand Name: BM PAPER
  • Model Number: Origami Paper
  • Minimum Order Quantity: 1 ton
  • Delivery Time: 5-15 working days
  • view more

GUANGZHOU BMPAPER CO., LTD.

Guangzhou ,Guangdong

  • 8YRS
  • Verified Supplier

Origami Paper Gift Box Extra Large Matte Black Cardboard Boxes For Scroll Packaging

Price: Negotiable Get Latest Price
  • Brand Name: NSWprint
  • Model Number: M147
  • Minimum Order Quantity: 1000 pcs
  • Delivery Time: 10-15 business days(depends on quantity)
  • view more

Double Sides Colorful Craft Paper High Stiffness Origami Paper 80gsm 180gsm

Price: Negotiation Get Latest Price
  • Brand Name: Sunxiang
  • Model Number: SUNXIANG01
  • Minimum Order Quantity: 1TON
  • Delivery Time: 7days
  • view more

High Efficiency 30 Folds/Min Origami Paper Folding Machine Strong Practicality

Price: 0~100,000RMB/PCS Get Latest Price
  • Brand Name: LESITE
  • Model Number: Standard
  • Minimum Order Quantity: 1
  • Delivery Time: 20-30work day
  • view more

70gsm 75gsm two side uncoated color woodfree paper for star origami paper

Price: Negotiations Get Latest Price
  • Brand Name: BMPAPER
  • Model Number: BM 16
  • Minimum Order Quantity: 15 tons
  • Delivery Time: 7-20 working day after receive your payment
  • view more

GUANGZHOU BMPAPER CO.,LTD

Guangzhou ,Guangdong

  • 10YRS
  • Verified Supplier

DIY Cmyk Print Washi Japanese Origami Paper Tape For Children Car Toys And Playing

Price: Can be negotiated Get Latest Price
  • Brand Name: HX
  • Model Number: HX-6005
  • Minimum Order Quantity: 200 roll
  • Delivery Time: 5-8 work days
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

3d Origami Paper Cutting Machine 0.6 MPa Working Pressure For HEPA Filter

Price: Negotiable Get Latest Price
  • Brand Name: Chang Feng
  • Model Number: 9009-54-58
  • Minimum Order Quantity: >=1 Sets
  • Delivery Time: 30 work days
  • view more

Colorful Printing Cylindrical Paper Box Round Cardboard Tubes Biodegradable

Price: $0.8-$1.1 pcs Get Latest Price
  • Brand Name: OEM
  • Model Number: CB-05
  • Minimum Order Quantity: 1000pcs
  • Delivery Time: About 20 days
  • view more

Kafin paper waterproof flower wrapping paper, Russian round bouquet wrapping paper, three-dimensional elegance paper in stock

Price: Negotiable Get Latest Price
  • Brand Name: Famous
  • Model Number: Plastic-627
  • Minimum Order Quantity: 10000 sheets
  • Delivery Time: 30days in stock
  • view more

Modern wall lamp round glass bedroom bedside lamp designer light luxury lamp Nordic living room background wall lamp

Price: NEGOTIATE PRICE Get Latest Price
  • Brand Name: BOLITE
  • Model Number: BO1035C
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Recycled Fashion Cardboard Kraft Paper Tube / Round Chocolate Box Packaging

Price: USD0.2-USD1 pcs Get Latest Price
  • Brand Name: HUIHUA
  • Model Number: Customised
  • Minimum Order Quantity: 5000pcs
  • Delivery Time: 8-20 working days
  • view more

Luxury perfume packaging: gold kraft paper box, round perfume bottle, paper tube gift box

Price: Negotiated Get Latest Price
  • Brand Name: N/A
  • Model Number: N/A
  • Minimum Order Quantity: 3000
  • Delivery Time: 20-30 DAYS
  • view more

MAXKY CO.,LIMITED

Guangzhou ,Guangdong

  • 2YRS
  • Verified Supplier

JYLIGHTING Floor Lamp Modern Dining Room Study and Bedroom Fabric bar Lamp Led Ceiling Lamps Round Floor Lamps Standing

Price: Negotiable Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-FP-L1333A-S
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

Food Grade Disposable Kraft Paper 50oz Round Salad Bowls With PP Flat White Lid

Price: US$0.03~US$0.15/pcs Get Latest Price
  • Brand Name: ZH
  • Model Number: 50oz 1500ml bowl with white lid
  • Minimum Order Quantity: 3000pcs
  • Delivery Time: 5-30 Days, It depends on the quantity of customers' order
  • view more

Cr12MoV 108*47*8.5Mm Paper Circular Round Cutting Blades For Flat Paper Slitter Machine

Price: Can be discussed Get Latest Price
  • Brand Name: Seton
  • Model Number: Cr12MoV
  • Minimum Order Quantity: MOQ 10 Pieces
  • Delivery Time: 30 days
  • view more